/*
 * indicator-network - user interface for connman
 * Copyright 2010 Canonical Ltd.
 *
 * Authors:
 * Kalle Valo <kalle.valo@canonical.com>
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 3, as published
 * by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranties of
 * MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <glib.h>
#include <glib/gi18n.h>
#include <gtk/gtk.h>
#include <locale.h>

#include "pin-dialog.h"
#include "passphrase-dialog.h"

int main(int argc, char **argv)
{
  PinDialog *pin_dialog;
  PassphraseDialog *passphrase_dialog;

  gtk_init(&argc, &argv);

  setlocale(LC_ALL, "");
  bindtextdomain(GETTEXT_PACKAGE, GNOMELOCALEDIR);
  textdomain(GETTEXT_PACKAGE);

  pin_dialog = pin_dialog_new();
  if (pin_dialog == NULL)
	  g_warning("Failed to create pin dialog");

  passphrase_dialog = passphrase_dialog_new();
  if (passphrase_dialog == NULL)
	  g_warning("Failed to create passphrase dialog");

  /* run the loop */
  gtk_main();

  g_object_unref(pin_dialog);
  g_object_unref(passphrase_dialog);

  return 0;
}
